Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## context.arch.service.helper
Class PendingOut

    java.lang.Object
      |
      +--java.util.Dictionary
            |
            +--java.util.Hashtable
                  |
                  +--context.arch.service.helper.PendingOut

public class PendingOut
extends java.util.Hashtable

This class maintains a list of pending service requests, kept by the service handling the requests.

See Also:
  `Service`, Serialized Form

Constructor Summary
`PendingOut()` Basic empty constructor

Method Summary
`void` | `addPending(ServiceInput input)` Adds the given ServiceInput object to the pending container.
`ServiceInput` | `getPending(java.lang.String id)` This method returns the ServiceInput with the given request id from this list of pending ServiceInput objects.
`boolean` | `isPending(java.lang.String id)` Determines whether the given ServiceInput object is in the pending container
`int` | `numPending()` Returns the number of ServiceInput objects pending in the container return the number of ServiceInput objects pending in the container
`void` | `removePending(java.lang.String id)` Removes the given ServiceInput object is in the pending container

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, rehash, remove, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PendingOut

    public PendingOut()

  Basic empty constructor

Method Detail

### addPending

    public void addPending(ServiceInput input)

  Adds the given ServiceInput object to the pending container.
  Parameters:
    `input` - ServiceInput to make pending

### isPending

    public boolean isPending(java.lang.String id)

  Determines whether the given ServiceInput object is in the pending container
  Parameters:
    `id` - Request id to look for
  Returns:
    whether ServiceInput is pending

### removePending

    public void removePending(java.lang.String id)

  Removes the given ServiceInput object is in the pending container
  Parameters:
    `id` - Request id of ServiceInput object to remove

### numPending

    public int numPending()

  Returns the number of ServiceInput objects pending in the container return the number of ServiceInput objects pending in the container

### getPending

    public ServiceInput getPending(java.lang.String id)

  This method returns the ServiceInput with the given request id from this list of pending ServiceInput objects.
  Parameters:
    `id` - Request id
  Returns:
    ServiceInput pending with the given id

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD